OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Variables
ai_config.cpp File Reference

Implementation of AIConfig. More...

`#include "../stdafx.h"`
`#include "../settings_type.h"`
`#include "../string_func.h"`
`#include "ai.hpp"`
`#include "ai_config.hpp"`
`#include "ai_info.hpp"`
`#include "../safeguards.h"`

Go to the source code of this file.

## Variables
ScriptConfigItem | _start_date_config
| Configuration for AI start date, every AI has this setting.

## Detailed Description

Implementation of AIConfig.

Definition in file ai_config.cpp.

## Variable Documentation

ScriptConfigItem _start_date_config

Initial value:
{
"start_date",
"",
AI::START_NEXT_MIN,
AI::START_NEXT_MAX,
AI::START_NEXT_MEDIUM,
AI::START_NEXT_EASY,
AI::START_NEXT_MEDIUM,
AI::START_NEXT_HARD,
AI::START_NEXT_DEVIATION,
30,
SCRIPTCONFIG_NONE,
NULL,
false
}

Configuration for AI start date, every AI has this setting.

Definition at line 22 of file ai_config.cpp.

Referenced by AIInfo::Constructor().